<?php if ( post_password_required() ) { return; } ?>
<section id="comments" class="comments-area">
	<?php if ( have_comments() ) : ?>
		<h3 class="comments-title">
			<?php printf( _n( 'One thought', '%1$s thoughts', get_comments_number(), 'alhana' ), number_format_i18n( get_comments_number() ) ); ?>
		</h3>
		<p class="collapse-text"><?php _e( 'Collapse comments', 'alhana' ); ?></p>
		<p class="expand-text"><?php _e( 'Expand comments', 'alhana' ); ?></p>
		<ol class="commentlist">
			<?php wp_list_comments( array( 'callback' => 'alhana_comment', 'style' => 'ol' ) ); ?>
		</ol>
		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
			<nav class="comment-nav" role="navigation">		
				<?php previous_comments_link( __( '&lt;i class="icon-angle-left"&gt;&lt;/i&gt; Older Comments', 'alhana' ) ); ?>
				<?php next_comments_link( __( 'Newer Comments &lt;i class="icon-angle-right"&gt;&lt;/i&gt;', 'alhana' ) ); ?>
			</nav>
		<?php endif; ?>
		<?php if ( ! comments_open() && get_comments_number() ) : ?>
			<p class="nocomments"><?php _e( 'Comments are closed.' , 'alhana' ); ?></p>
		<?php endif; ?>
	<?php endif; ?>
	<?php comment_form(); ?>
</section>