<!DOCTYPE html>
<!--[if IE 7]><html class="ie ie7" <?php language_attributes(); ?>><![endif]-->
<!--[if IE 8]><html class="ie ie8" <?php language_attributes(); ?>><![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!--><html <?php language_attributes(); ?>><!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link href='http://fonts.googleapis.com/css?family=Roboto:700,300,400|Roboto+Condensed:400,300,700&amp;subset=latin,cyrillic-ext,cyrillic,latin-ext' rel='stylesheet prefetch' type='text/css'>
<!--[if IE]><link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/ie-style.css" type="text/css" media="all" ><![endif]-->
<!--[if IE 7]><link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/font-awesome-ie7.min.css" type="text/css" media="all" ><![endif]-->
<!--[if lt IE 9]><script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script><![endif]-->
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<header id="right-column" class="right-column" role="banner">
	<hgroup>
		<section class="logo-image"></section>
		<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
		<p class="site-description"><?php bloginfo( 'description' ); ?></p>
	</hgroup>
	<nav id="site-navigation" class="main-navigation" role="navigation">
		<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu' ) ); ?>
	</nav>
</header>