<?php get_header(); ?>	
<section id="left-column" class="left-column" role="main">

	<?php if (is_home()) { ?>

		<?php if ( function_exists( 'alhana_twitter_timeline' ) ) { ?>
			<h3 class="home-widget-title"><?php _e( 'Twitter stream', 'alhana' ); ?></h3>
			<ul class="twitterstream">
				<?php echo alhana_twitter_timeline ('alhanastarwind','6','YeHWx0TGsPdIXg1XkTCIjQ','vrgnSOD2pSwloFttf8eZB9dF9BF9GA43zQhvcnMVog8','225145318-pfPQFu2YBdP9NEQaQHPhCt8Xfa3KzZoqxwn1YrWM','CbStgUyh5ylPo1JhcOyLpPaKuIKENx98qn7yoSWZ0' ); ?>
			</ul>
		<?php } ?>
		<h3 class="home-widget-title"><?php _e( 'New posts', 'alhana' ); ?></h3>
		<?php $counter = 1; ?>
		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
			<article id="post-<?php the_ID(); ?>" class="home-article article-num-<?php echo $counter; ?>">
				<span class="front-post-meta"><i class="icon-calendar-empty"></i><?php the_time(get_option('date_format')); ?><i class="icon-comments"></i><?php comments_number( '0', '1', '%'); ?></span>
				<h2><?php the_title(); ?></h2>
				<p><?php if ( has_post_thumbnail() ) { the_post_thumbnail( 'thumbnail', array('class' => 'alignleft') ); } ?><?php the_excerpt(); ?></p>
				<p class="read-more"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php _e( 'Open post', 'alhana' ); ?></a></p>
			</article>
			<?php $counter++; ?>
		<?php endwhile; ?>
			<?php if ( function_exists( alhana_content_nav( 'text-nav' ) ) ); ?>
		<?php else : ?>
			<?php get_template_part( '404-content' ); ?>
		<?php endif; ?>
		
	<?php } elseif ( is_single() || is_page() ) { ?>
	
		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<header class="entry-header">
					<h1 class="entry-title"><?php the_title(); ?></h1>
				</header>
				<section class="entry-content">
					<?php the_content(); ?>
					<?php wp_link_pages(); ?>
				</section>
				<?php if (is_single()) { ?>
					<nav class="entry-nav" role="navigation">
						<?php previous_post_link( '%link' ); ?>
						<?php next_post_link( '%link' ); ?>
					</nav>
					<?php the_tags( '<section class="taglist"><span class="one-tag">','</span><span class="one-tag">', '</span></section>' ); ?>
				<?php } ?>
			</article>
		<?php endwhile; else : ?><?php get_template_part( '404-content' ); ?><?php endif; ?>
			
	<?php } else { ?>
	
		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<header class="entry-header">
					<span class="front-post-meta"><i class="icon-calendar-empty"></i><?php the_time(get_option('date_format')); ?><i class="icon-comments"></i><?php comments_number( '0', '1', '%'); ?></span>
					<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
				</header>
				<section class="entry-content"><?php the_excerpt(); ?></section>
				<p class="read-more"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php _e( 'Open post', 'alhana' ); ?></a></p>
			</article>
		<?php endwhile; ?>
			<?php if ( function_exists( alhana_content_nav( 'text-nav' ) ) ); ?>
		<?php else : ?>
			<?php get_template_part( '404-content' ); ?>
		<?php endif; ?>
		
	<?php } ?>
	
</section>
<?php get_sidebar(); ?>
<?php get_footer(); ?>