<?php get_header(); ?>
<section id="left-column" class="left-column" role="main">

	<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<header class="entry-header">
				<span class="front-post-meta"><i class="icon-calendar-empty"></i><?php the_time(get_option('date_format')); ?><i class="icon-comments"></i><?php comments_number( '0', '1', '%'); ?></span>
				<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
			</header>
			<section class="entry-content"><?php the_excerpt(); ?></section>
			<p class="read-more"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php _e( 'Open post', 'alhana' ); ?></a></p>
		</article>
	<?php endwhile; ?>
		<?php if ( function_exists( alhana_content_nav( 'text-nav' ) ) ); ?>
	<?php else : ?>
		<?php get_template_part( '404-content' ); ?>
	<?php endif; ?>

</section>
<?php get_sidebar(); ?>
<?php get_footer(); ?>